/* Copyright 1999 by Herve Regad-Pellagru, E-mail: regad@micronet.fr

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */

#include <stdio.h>


#include "proto.h"


static char *fmt_error[] = {
  "Bogus messagem just here to begin at 1\n",
  "Unable to open device file %s\n",
  "Unable to TCGETATTR on device %s\n",
  "Unable to write to serial device %s\n",
  "Unable to read from serial device %s\n",
  "Interface failed to transmit %s\n",
  "Malloc failed %s\n",
  "Checksum failed in local command (no remote module involved) %s\n",
  "Select failed %s\n",
  "Read has timeouted %s\n",
  "Bad parameters to function %s\n"
};


void x10_default_error(int code,char *arg,struct x10_status_t *status)
{
  fprintf(stderr,fmt_error[-code],arg);
  exit(code);
}
